org.apache.cassandra.cql3.statements

## Class SingleColumnRestriction.Slice

- java.lang.Object
- - org.apache.cassandra.cql3.statements.SingleColumnRestriction
  - - org.apache.cassandra.cql3.statements.SingleColumnRestriction.Slice

All Implemented Interfaces:
  Restriction, Restriction.Slice

Direct Known Subclasses:
  MultiColumnRestriction.Slice

Enclosing class:
  SingleColumnRestriction

    public static class SingleColumnRestriction.Slice
    extends SingleColumnRestriction
    implements Restriction.Slice

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction

`SingleColumnRestriction.Contains, SingleColumnRestriction.EQ, SingleColumnRestriction.InWithMarker, SingleColumnRestriction.InWithValues, SingleColumnRestriction.Slice`

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Restriction

`Restriction.EQ, Restriction.IN, Restriction.Slice`

### Field Summary

Fields
`protected boolean[]` `boundInclusive`
`protected Term[]` `bounds`
`protected boolean` `onToken`

### Constructor Summary

Constructors
Constructor and Description
`SingleColumnRestriction.Slice(boolean onToken)`

### Method Summary

Methods
`java.nio.ByteBuffer` `bound(Bound b, QueryOptions options)`
`IndexExpression.Operator` `getIndexOperator(Bound b)`
`Relation.Type` `getRelation(Bound eocBound, Bound inclusiveBound)`
`boolean` `hasBound(Bound b)` Returns true if the start or end bound (depending on the argument) is set, false otherwise
`boolean` `isContains()`
`boolean` `isEQ()`
`boolean` `isIN()`
`boolean` `isInclusive(Bound b)` Returns true if the start or end bound (depending on the argument) is inclusive, false otherwise
`boolean` `isOnToken()`
`boolean` `isSlice()`
`void` `setBound(ColumnIdentifier name, Relation.Type type, Term t)`
`java.lang.String` `toString()`
`java.util.List<java.nio.ByteBuffer>` `values(QueryOptions options)`

### Methods inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction

`isMultiColumn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.statements.Restriction

`isMultiColumn`

### Field Detail

#### bounds

    protected final Term[] bounds

#### boundInclusive

    protected final boolean[] boundInclusive

#### onToken

    protected final boolean onToken

### Constructor Detail

#### SingleColumnRestriction.Slice

    public SingleColumnRestriction.Slice(boolean onToken)

### Method Detail

#### isSlice

    public boolean isSlice()

Specified by:
  `isSlice` in interface `Restriction`

#### isEQ

    public boolean isEQ()

Specified by:
  `isEQ` in interface `Restriction`

#### isIN

    public boolean isIN()

Specified by:
  `isIN` in interface `Restriction`

#### isContains

    public boolean isContains()

Specified by:
  `isContains` in interface `Restriction`

#### values

    public java.util.List<java.nio.ByteBuffer> values(QueryOptions options)
                                               throws InvalidRequestException

Specified by:
  `values` in interface `Restriction`
Specified by:
  `values` in interface `Restriction.Slice`
Throws:
  `InvalidRequestException`

#### isOnToken

    public boolean isOnToken()

Specified by:
  `isOnToken` in interface `Restriction`

#### hasBound

    public boolean hasBound(Bound b)

Returns true if the start or end bound (depending on the argument) is set, false otherwise

Specified by:
  `hasBound` in interface `Restriction.Slice`

#### bound

    public java.nio.ByteBuffer bound(Bound b,
                            QueryOptions options)
                              throws InvalidRequestException

Specified by:
  `bound` in interface `Restriction.Slice`
Throws:
  `InvalidRequestException`

#### isInclusive

    public boolean isInclusive(Bound b)

Returns true if the start or end bound (depending on the argument) is inclusive, false otherwise

Specified by:
  `isInclusive` in interface `Restriction.Slice`

#### getRelation

    public Relation.Type getRelation(Bound eocBound,
                            Bound inclusiveBound)

Specified by:
  `getRelation` in interface `Restriction.Slice`

#### getIndexOperator

    public IndexExpression.Operator getIndexOperator(Bound b)

Specified by:
  `getIndexOperator` in interface `Restriction.Slice`

#### setBound

    public void setBound(ColumnIdentifier name,
                Relation.Type type,
                Term t)
                  throws InvalidRequestException

Specified by:
  `setBound` in interface `Restriction.Slice`
Throws:
  `InvalidRequestException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`